%define _requires_exceptions devel(libatiuki)
%define name	pcmanfm
%define version	1.2.5
%define	release	%mkrel 2
%define summary	PCMan File Manager

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
Summary(de):	PCManFM - ein schneller und resourcenschonender Dateimanager
License: 	GPL
URL: 		http://pcmanfm.sourceforge.net/
Group: 		Graphical desktop/LXDE
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Source0:	%{name}-%{version}.tar.xz
BuildRequires:	automake >= 1.9
BuildRequires:	%{_lib}gamin-1_0-devel
BuildRequires:	gtk+2-devel
BuildRequires:	%{_lib}gtk+2.0_0-devel
BuildRequires:	%{_lib}glib2.0_0-devel
BuildRequires:	%{_lib}cairo-devel
BuildRequires:	pkgconfig
BuildRequires:	desktop-file-utils
BuildRequires:	libstartup-notification-1-devel
BuildRequires:	%{_lib}dbus-glib-1_2-devel
BuildRequires:	libfm-devel
BuildRequires:	libfm-gtk-devel
Requires:	gamin
Requires:	shared-mime-info
Requires:	gnome-icon-theme
Requires:	gksu
Requires:	libfm
Requires:	libfm-gtk
Requires:	fuse
Requires:	%{_lib}fuse2
Requires:	%{_lib}gvfs0
Requires:	gvfs
Requires:	lxpolkit
Obsoletes:	%{name} < %version


%description
PCMan File Manager is an extremely fast and lightweight file manager which
features tabbed browsing and user-friendly interface.

PCManFM includes these features:

* Extremely fast and lightweight
* Can be started in one second on normal machine
* Tabbed browsing (Similar to Firefox)
* Drag & Drop support
* Support mount/umount/eject for volumes
* Provide desktop icons and wallpaper
* Files can be dragged among tabs
* Load large directories in reasonable time
* File association support (Default application)
* Thumbnail for image files
* Bookmarks support
* Handles non-UTF-8 encoded filenames correctly
* Provide icon view and detailed list view
* Standard compliant (Follows FreeDesktop.org)
* Clean and user-friendly interface (GTK+ 2)
* NEW! As of version 0.4.6.1, PCManFM has the option to open files and folders with a single click
* NEW! As of version 0.5, PCManFM has the ability to search for files and folders

#german
%description -l de
PCMan File Manager ist eine extrem schneller und leichter Datei-Manager, 
mit Tabbed-Browsing und benutzerfreundlicher Oberfläche. 

PCManFM umfasst die folgenden Funktionen: 

* Extrem schnell und leicht 
* Kann in einer Sekunde auf normalen Maschinen gestartet werden
* Tabbed-Browsing (Ähnlich Firefox) 
* Drag & Drop-Unterstützung 
* Unterstützt mount/umount/eject für Speichermedien 
* Bereitstellung von Desktop-Icons und Hintergrundbildern
* Dateien können zwischen den Registerkarten gezogen werden  
* Vorschaubild für Bilddateien 
* Unterstützt Lesezeichen 
* Zeigt Nicht-UTF-8 kodierte Dateinamen korrekt an
* und vieles mehr

#french
%description -l fr
PCMan File Manager est un gestionnaire très rapide et léger fichier qui 
fonctionnalités de navigation par onglets et une interface utilisateur conviviale. 

PCManFM comprend les fonctionnalités suivantes: 

* Extrêmement rapide et léger 
* Peut être lancé en une seconde sur la machine de la normale 
* La navigation par onglets (semblables à Firefox) 
* Drag & Drop support 
* Support de montage / démontage / éjection des volumes 
* Fournir les icônes du bureau et du papier peint 
* Les fichiers peuvent être glissés parmi les onglets 
* Annuaires grande charge dans un délai raisonnable 
* Fichier d'appui aux associations (application par défaut) 
* Miniature pour les fichiers image 
* Appui de signets 
* Poignées de non-UTF-8 correctement les noms de fichiers encodés 
* Fournir une vue d'icône et de voir la liste détaillée 
* Standard compliant (Follows FreeDesktop.org) 
* Clean and user-friendly interface (GTK + 2) 
* NOUVEAU! Depuis la version 0.4.6.1, PCManFM a la possibilité d'ouvrir des fichiers et dossiers en un seul clic 
* NOUVEAU! Depuis la version 0.5, PCManFM a la capacité de rechercher des fichiers et des dossiers

#spanish
%description -l es
PCMan File Manager es un administrador de archivos muy rápido y ligero que 
características de la navegación por pestañas y la interfaz de usuario amigable. 

PCManFM incluye las siguientes características: 

* Extremadamente rápido y ligero 
* Se puede iniciar en una segunda máquina normal 
* La navegación con pestañas (similares a Firefox) 
De apoyo * Drag & Drop 
* Soporte de montaje / desmontaje / expulsión de los volúmenes de 
* Proporcionar los iconos del escritorio y salvapantallas 
* Los archivos se pueden arrastrar entre pestañas 
Directorios de carga grande * en un tiempo razonable 
* Archivo Asociación de Apoyo (aplicación por defecto) 
* Miniatura de archivos de imagen 
* Marcadores de apoyo 
* Maneja no UTF-8 nombres de archivos codificados correctamente 
* Proporcionar la vista de iconos y ver lista detallada de 
* Se cumple el estándar (Sigue FreeDesktop.org) 
* Limpieza e interfaz fácil de usar (GTK + 2) 
* NUEVO! Partir de la versión 0.4.6.1, PCManFM tiene la opción de abrir archivos y carpetas con un solo clic 
* NUEVO! Desde la versión 0.5, PCManFM tiene la capacidad de búsqueda de archivos y carpetas

#polish
%description -l pl
PCManFM to bardzo szybki i lekki menedżer plików, który posiada 
funkcje kartach oraz przyjazny interfejs użytkownika. 

PCManFM zawiera następujące funkcje: 

* Jest bardzo szybki i lekki 
* Może być uruchomiony w ciągu jednej sekundy na normalnej maszynie 
* Przeglądanie w kartach (podobnie jak Firefox) 
* Funkcja "Drag & drop" 
* Wsparcie mount / umount / eject 
* Zapewnienie ikon na pulpicie i tapeta 
* Pliki mogą być przeciągane między kartami 
* Ładowanie dużych katalogów w rozsądnym czasie 
* Wsparcie skojarzenia pliku (domyślna aplikacja) 
* Miniatury plików graficznych 
* Wsparcie Zakładki 
* Prawidłowe kodowanie UTF-8  
* Zapewnienie widok ikon i widoku szczegółowego wykazu 
* Zgodność ze standardem (Follows FreeDesktop.org) 
* Czystość i przyjazny interfejs użytkownika (GTK + 2) 
* NOWOŚĆ! Począwszy od wersji 0.4.6.1, PCManFM ma możliwość otwierania plików i folderów za pomocą jednego kliknięcia 
* NOWOŚĆ! Począwszy od wersji 0.5, PCManFM ma możliwości wyszukiwania plików i folderów

#serbian
%description -l sr
ПЦМан Фајл менаџер је изузетно брз и лак фајл менаџер који 
брза претрага функције и кориснички интерфејс. 

ПЦМанФМ укључује следеће опције: 

* Изузетно брз и лак 
Може се покренути у једном нормалном на другој машини 
* Прегледање помоћу картица (слично на Фирефокс) 
* Драг & Дроп метода подршке 
* Подршка Моунт / умоунт / избацити за тома 
* Обезбедити десктоп иконе и позадине 
* Фајлови се могу повући између картица 
* Носивост велике директоријуме у разумном року 
* Фајл удружења подршку (подразумевана апликација) 
* Мини-слика за датотеке слика 
* Адресе Подршка 
* Хандлес не-УТФ-8 кодиране фајлове исправно 
* Наведите детаљан приказ икона и приказу листе 
* Стандардни компатибилан (Следи ФрееДесктоп.орг) 
* Чисто и кориснички интерфејс (ГТК + верзију 2) 
* НОВО! Као и верзије 0.4.6.1, ПЦМанФМ има опцију да отварате датотеке и фасцикле са једним кликом 
* НОВО! Од верзије 0.5, ПЦМанФМ има способност да тражите датотеке и фолдере

#dutch
%description -l nl
PCMan File Manager is een uiterst snelle en lichtgewicht file manager die 
functies browsen met tabbladen en gebruiksvriendelijke interface. 

Pcmanfm bevat deze functies: 

* Extreem snelle en lichtgewicht 
* Kan worden gestart in een seconde op de normale machine 
* Tabbed browsing (Vergelijkbaar met Firefox) 
* Drag & Drop ondersteuning 
* Ondersteuning mount / umount / eject voor volumes 
* Geef desktop iconen en achtergrond 
* Bestanden kunnen worden gesleept tussen tabbladen 
* Laad grote directories binnen een redelijke termijn 
* File vereniging ondersteuning (Default toepassing) 
* Miniatuurafbeelding voor beeldbestanden 
* Bookmarks ondersteuning 
* Handles niet-UTF-8 gecodeerde bestandsnamen correct 
* Geef icon bekijken en gedetailleerde lijst bekijken 
* Standaard compliant (Volgt FreeDesktop.org) 
* Schoon en gebruiksvriendelijke interface (GTK + 2) 
* NIEUW! Vanaf versie 0.4.6.1, pcmanfm heeft de optie om bestanden en mappen te openen met een enkele klik 
* NIEUW! Vanaf versie 0.5, pcmanfm heeft de mogelijkheid om te zoeken naar bestanden en mappen

%package i10n
Summary:	Internationalization files for %{name}
Summary(de):	Sprachdateien für %name
Group:		Graphical desktop/LXDE
Requires:	%{name}
Obsoletes:	%{name}-i18n

%description i10n
Internationalization files for %{name}
#german
%description i10n -l de
Internationale Sprachdateien für %{name}.

%package devel
Summary:	Development header files for PCManFM
Summary(de):	Header-Dateien von PCManFM
Group:		Development/Libraries

%description devel
Development header files for PCManFM

%description devel -l de
Header-Dateien von PCManFM




%prep
%setup -q -n %{name}-%{version}

%build
# ./autogen.sh
%configure2_5x --disable-static

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="GTK" \
  --remove-category="Core" \
  --remove-category="System" \
  --remove-category="Utility" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --add-category="GTK;FileManager" \
  --remove-mime-type="x-directory/normal" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#fix generic name
perl -pi -e "s|File Manager ||" $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

#Do not show in Mate Control Center
perl -pi -e "s|GNOME|MATE|" $RPM_BUILD_ROOT%{_datadir}/applications/pcmanfm-desktop-pref.desktop


%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%name-%version

%post
%{update_menus}
%update_mime_database
%update_desktop_database

%postun
%{clean_menus}
%clean_mime_database
%update_desktop_database

%files
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog NEWS TODO README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/applications/pcmanfm-desktop-pref.desktop
%{_mandir}/man1/pcmanfm.1.bz2
%config(noreplace) %{_sysconfdir}/xdg/pcmanfm/default/pcmanfm.conf

%files i10n
%defattr(-,root,root,-)
%{_datadir}/locale/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/pcmanfm-modules.h

%changelog
* Sat May 27 2017 adrianomorselli <adrianomorselli> 1.2.5-2uplos2017
- adjust desktop file and trim changelog
